ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 32557] New: - DependTest.testClosure fails under JDK 1.5
Date Tue, 07 Dec 2004 06:37:33 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG·
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=32557>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND·
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=32557

           Summary: DependTest.testClosure fails under JDK 1.5
           Product: Ant
           Version: 1.7Alpha (nightly)
          Platform: PC
        OS/Version: Linux
            Status: NEW
          Keywords: JDK1.5
          Severity: normal
          Priority: P2
         Component: Optional Tasks
        AssignedTo: conor@apache.org
        ReportedBy: jglick@netbeans.org
                CC: dev@ant.apache.org


DependTest.testClosure passes for me if I run using JDK 1.4.2 (Linux) but fails
if run under JDK 1.5 (or a 1.6 alpha). The error message is

Depend did not leave correct number of files expected:<2> but was:<1>

If however I set source="1.2" on <javac> in depend.xml#compile, it passes (on
1.4, 1.5, and 1.6). I suspect that there is some difference in javac's bytecode
generation when using 1.5 source, though I don't know what exactly.

-- 
Configure bugmail: http://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message